
Foreman - Refactor #11836

Tracker # 29939 (Closed): Improve setting definition DSL and move setting registry to memory

Refactor # 32408 (Closed): Use new DSL to define settings

Rename Puppet settings to Configuration

09/15/2015 04:45 PM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee:    

Category: Settings   

Target version:    

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2726

  

Description

The tab should be "Configuration" and some facts need renaming.  Particular puppet_interval.

Related issues:

Related to Foreman - Bug #11704: Configuration no report appears as "green" icon Closed 09/06/2015

Related to Foreman - Bug #18046: Run distribution axis labels should make lar... New 01/12/2017

Has duplicate Foreman - Bug #12357: ignore_puppet_facts_for_provisioning shou... Duplicate 10/30/2015

Has duplicate Foreman - Bug #17530: remove "puppet" from non-puppet specific ... Duplicate 11/30/2016

History

#1 - 09/15/2015 06:21 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2726 added

- Pull request deleted ()

#2 - 09/16/2015 03:51 AM - Marek Hulán

- Related to Bug #11704: Configuration no report appears as "green" icon added

#3 - 10/30/2015 04:27 AM - Dominic Cleal

- Has duplicate Bug #12357: ignore_puppet_facts_for_provisioning should be renamed added

#4 - 05/05/2016 03:46 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Stephen Benjamin)

PR closed.

#5 - 11/30/2016 07:32 AM - Dominic Cleal

- Has duplicate Bug #17530: remove "puppet" from non-puppet specific settings added

#6 - 01/12/2017 06:44 AM - Dominic Cleal

- Related to Bug #18046: Run distribution axis labels should make large interval values human readable added

#7 - 01/20/2022 03:02 PM - Ondřej Ezr

This has been resolved as part of #32408

#8 - 01/20/2022 03:03 PM - Ondřej Ezr
https://projects.theforeman.org/issues/32408


- Status changed from New to Closed

- Parent task set to #32408

- Fixed in Releases 3.1.0 added
